# Ruby Calc
# by Gruff
# Oct 29th 2009
# Many thanks to a4chitect for the win32ole section 

# Ruby Calc is a simple SketchUp for Windows calculator.
# Feel free to hack and wack it.

# Since it is run as a loose procedure rather than a class 
# it does not kick SU out of the currently running tool

# Bind the Menu Item 'Ruby Calc' to a short cut key
# For ease of use. (I use Alt-Q)

require 'sketchup'
require 'win32ole'
#---

def rubycalc
  prompt = [""]
  default = ["              "]
  input = UI.inputbox prompt, default, "Ruby Calc"
  fanswer = eval input[0]
  sanswer = fanswer.to_s + "{ENTER}{ENTER}"
  
  # Create an instance of the Wscript Shell
  wsh = WIN32OLE.new('Wscript.Shell')    
  
  #Try to activate the Sketchup window:
  if wsh.AppActivate(' - SketchUp Pro') || wsh.AppActivate(' - SketchUp')
    wsh.SendKeys(sanswer)
  else
    puts "Impossible"
  end
end

#---
if( not file_loaded?("ruby_calc.rb") )
    add_separator_to_menu("Tools")    
    UI.menu("Tools").add_item($exStrings.GetString("Ruby Calc")) { rubycalc }
end

file_loaded("ruby_calc.rb")